package com.amap.api.maps;

package ..deTemp.1734248045998;

import android.location.Location;
import android.util.Log;
import android.util.Pair;
import android.util.Size;
import com.amap.api.col.3sl.eq;
import com.amap.api.col.3sl.er;
import com.amap.api.col.3sl.m;
import com.amap.api.maps.CameraUpdate;
import com.amap.api.maps.CameraUpdateFactory;
import com.amap.api.maps.CustomRenderer;
import com.amap.api.maps.InfoWindowAnimationManager;
import com.amap.api.maps.LocationSource;
import com.amap.api.maps.Projection;
import com.amap.api.maps.UiSettings;
import com.amap.api.maps.model.AMapGestureListener;
import com.amap.api.maps.model.Arc;
import com.amap.api.maps.model.ArcOptions;
import com.amap.api.maps.model.BuildingOverlay;
import com.amap.api.maps.model.CameraPosition;
import com.amap.api.maps.model.Circle;
import com.amap.api.maps.model.CircleOptions;
import com.amap.api.maps.model.CrossOverlay;
import com.amap.api.maps.model.CrossOverlayOptions;
import com.amap.api.maps.model.CustomMapStyleOptions;
import com.amap.api.maps.model.GL3DModel;
import com.amap.api.maps.model.GL3DModelOptions;
import com.amap.api.maps.model.GLTFOverlay;
import com.amap.api.maps.model.GLTFOverlayOptions;
import com.amap.api.maps.model.GroundOverlay;
import com.amap.api.maps.model.GroundOverlayOptions;
import com.amap.api.maps.model.HeatMapGridLayer;
import com.amap.api.maps.model.HeatMapGridLayerOptions;
import com.amap.api.maps.model.HeatMapLayer;
import com.amap.api.maps.model.HeatMapLayerOptions;
import com.amap.api.maps.model.IndoorBuildingInfo;
import com.amap.api.maps.model.LatLng;
import com.amap.api.maps.model.LatLngBounds;
import com.amap.api.maps.model.MVTTileOverlay;
import com.amap.api.maps.model.MVTTileOverlayOptions;
import com.amap.api.maps.model.Marker;
import com.amap.api.maps.model.MarkerOptions;
import com.amap.api.maps.model.MultiPointOverlay;
import com.amap.api.maps.model.MultiPointOverlayOptions;
import com.amap.api.maps.model.MyLocationStyle;
import com.amap.api.maps.model.MyTrafficStyle;
import com.amap.api.maps.model.NavigateArrow;
import com.amap.api.maps.model.NavigateArrowOptions;
import com.amap.api.maps.model.PoiFilter;
import com.amap.api.maps.model.Polygon;
import com.amap.api.maps.model.PolygonOptions;
import com.amap.api.maps.model.Polyline;
import com.amap.api.maps.model.PolylineOptions;
import com.amap.api.maps.model.RouteOverlay;
import com.amap.api.maps.model.Text;
import com.amap.api.maps.model.TextOptions;
import com.amap.api.maps.model.TileOverlay;
import com.amap.api.maps.model.TileOverlayOptions;
import com.amap.api.maps.model.amap3dmodeltile.AMap3DModelTileOverlay;
import com.amap.api.maps.model.amap3dmodeltile.AMap3DModelTileOverlayOptions;
import com.amap.api.maps.model.particle.ParticleOverlay;
import com.amap.api.maps.model.particle.ParticleOverlayOptions;
import com.autonavi.amap.mapcore.IPoint;
import com.autonavi.amap.mapcore.interfaces.IAMap;
import java.util.ArrayList;
import java.util.List;

public final class AMap {
  private static final String CLASSNAME = "AMap";
  
  public static final int MAP_TYPE_NORMAL = 1;
  
  public static final int MAP_TYPE_SATELLITE = 2;
  
  public static final int MAP_TYPE_NIGHT = 3;
  
  public static final int MAP_TYPE_NAVI = 4;
  
  public static final int MAP_TYPE_BUS = 5;
  
  public static final int MAP_TYPE_NAVI_NIGHT = 6;
  
  public static final int LOCATION_TYPE_LOCATE = 1;
  
  public static final int LOCATION_TYPE_MAP_FOLLOW = 2;
  
  public static final int LOCATION_TYPE_MAP_ROTATE = 3;
  
  public static final int MASK_LAYER_NONE = -1;
  
  public static final int MASK_LAYER_UNDER_MARKER = 0;
  
  public static final String CHINESE = "zh_cn";
  
  public static final String ENGLISH = "en";
  
  public static final String LOCAL = "local";
  
  public static final String CUSTOM = "custom";
  
  public static final String STYLE_CHINESE = "style_zh_cn";
  
  public static final int MASK_LAYER_UNDER_LINE = 1;
  
  private final IAMap mapDelegate;
  
  private UiSettings uiSettings;
  
  private Projection projection;
  
  private MyTrafficStyle myTrafficStyle;
  
  protected AMap(IAMap paramIAMap) {
    this.mapDelegate = paramIAMap;
  }
  
  public final CameraPosition getCameraPosition() {
    try {
      return this.mapDelegate.getCameraPosition();
    } catch (Throwable throwable) {
      null.printStackTrace();
      return null;
    } 
  }
  
  public final float getMaxZoomLevel() {
    return this.mapDelegate.getMaxZoomLevel();
  }
  
  public final float getMinZoomLevel() {
    return this.mapDelegate.getMinZoomLevel();
  }
  
  public final void moveCamera(CameraUpdate paramCameraUpdate) {
    try {
      this.mapDelegate.moveCamera(paramCameraUpdate);
      return;
    } catch (Throwable throwable) {
      null.printStackTrace();
      return;
    } 
  }
  
  public final void animateCamera(CameraUpdate paramCameraUpdate) {
    try {
      this.mapDelegate.animateCamera(paramCameraUpdate);
      return;
    } catch (Throwable throwable) {
      null.printStackTrace();
      return;
    } 
  }
  
  public final void animateCamera(CameraUpdate paramCameraUpdate, CancelableCallback paramCancelableCallback) {
    try {
      this.mapDelegate
        .animateCameraWithCallback(paramCameraUpdate, paramCancelableCallback);
      return;
    } catch (Throwable throwable) {
      null.printStackTrace();
      return;
    } 
  }
  
  public final void animateCamera(CameraUpdate paramCameraUpdate, long paramLong, CancelableCallback paramCancelableCallback) {
    try {
      if (paramLong <= 0L)
        Log.w("AMap", "durationMs must be positive"); 
      this.mapDelegate.animateCameraWithDurationAndCallback(paramCameraUpdate, paramLong, paramCancelableCallback);
      return;
    } catch (Throwable throwable) {
      null.printStackTrace();
      return;
    } 
  }
  
  public final void stopAnimation() {
    try {
      this.mapDelegate.stopAnimation();
      return;
    } catch (Throwable throwable) {
      null.printStackTrace();
      return;
    } 
  }
  
  public final NavigateArrow addNavigateArrow(NavigateArrowOptions paramNavigateArrowOptions) {
    try {
      return this.mapDelegate.addNavigateArrow(paramNavigateArrowOptions);
    } catch (Throwable throwable) {
      null.printStackTrace();
      return null;
    } 
  }
  
  public final Polyline addPolyline(PolylineOptions paramPolylineOptions) {
    try {
      return this.mapDelegate.addPolyline(paramPolylineOptions);
    } catch (Throwable throwable) {
      null.printStackTrace();
      return null;
    } 
  }
  
  public final BuildingOverlay addBuildingOverlay() {
    try {
      return this.mapDelegate.addBuildingOverlay();
    } catch (Throwable throwable) {
      null.printStackTrace();
      return null;
    } 
  }
  
  public final Circle addCircle(CircleOptions paramCircleOptions) {
    try {
      return this.mapDelegate.addCircle(paramCircleOptions);
    } catch (Throwable throwable) {
      null.printStackTrace();
      return null;
    } 
  }
  
  public final Arc addArc(ArcOptions paramArcOptions) {
    try {
      return this.mapDelegate.addArc(paramArcOptions);
    } catch (Throwable throwable) {
      null.printStackTrace();
      return null;
    } 
  }
  
  public final Polygon addPolygon(PolygonOptions paramPolygonOptions) {
    try {
      return this.mapDelegate.addPolygon(paramPolygonOptions);
    } catch (Throwable throwable) {
      null.printStackTrace();
      return null;
    } 
  }
  
  public final GroundOverlay addGroundOverlay(GroundOverlayOptions paramGroundOverlayOptions) {
    try {
      return this.mapDelegate.addGroundOverlay(paramGroundOverlayOptions);
    } catch (Throwable throwable) {
      null.printStackTrace();
      return null;
    } 
  }
  
  public final Marker addMarker(MarkerOptions paramMarkerOptions) {
    try {
      return this.mapDelegate.addMarker(paramMarkerOptions);
    } catch (Throwable throwable) {
      null.printStackTrace();
      return null;
    } 
  }
  
  public final GL3DModel addGL3DModel(GL3DModelOptions paramGL3DModelOptions) {
    try {
      return this.mapDelegate.addGLModel(paramGL3DModelOptions);
    } catch (Throwable throwable) {
      null.printStackTrace();
      return null;
    } 
  }
  
  public final Text addText(TextOptions paramTextOptions) {
    try {
      return this.mapDelegate.addText(paramTextOptions);
    } catch (Throwable throwable) {
      null.printStackTrace();
      return null;
    } 
  }
  
  public final ArrayList<Marker> addMarkers(ArrayList<MarkerOptions> paramArrayList, boolean paramBoolean) {
    try {
      return this.mapDelegate.addMarkers(paramArrayList, paramBoolean);
    } catch (Throwable throwable) {
      null.printStackTrace();
      return null;
    } 
  }
  
  public final List<Marker> getMapScreenMarkers() {
    try {
      List<Marker> list;
      if ((list = this.mapDelegate.getMapScreenMarkers()) == null)
        list = new ArrayList(); 
      return list;
    } catch (Throwable throwable) {
      null.printStackTrace();
      return null;
    } 
  }
  
  public final TileOverlay addTileOverlay(TileOverlayOptions paramTileOverlayOptions) {
    try {
      return this.mapDelegate.addTileOverlay(paramTileOverlayOptions);
    } catch (Throwable throwable) {
      null.printStackTrace();
      return null;
    } 
  }
  
  public final MVTTileOverlay addMVTTileOverlay(MVTTileOverlayOptions paramMVTTileOverlayOptions) {
    try {
      return this.mapDelegate.addMVTTileOverlay(paramMVTTileOverlayOptions);
    } catch (Throwable throwable) {
      null.printStackTrace();
      return null;
    } 
  }
  
  public final HeatMapLayer addHeatMapLayer(HeatMapLayerOptions paramHeatMapLayerOptions) {
    try {
      return this.mapDelegate.addHeatMapLayer(paramHeatMapLayerOptions);
    } catch (Throwable throwable) {
      null.printStackTrace();
      return null;
    } 
  }
  
  public final HeatMapGridLayer addHeatMapGridLayer(HeatMapGridLayerOptions paramHeatMapGridLayerOptions) {
    try {
      return this.mapDelegate.addHeatMapGridLayer(paramHeatMapGridLayerOptions);
    } catch (Throwable throwable) {
      null.printStackTrace();
      return null;
    } 
  }
  
  public final MultiPointOverlay addMultiPointOverlay(MultiPointOverlayOptions paramMultiPointOverlayOptions) {
    try {
      return this.mapDelegate.addMultiPointOverlay(paramMultiPointOverlayOptions);
    } catch (Throwable throwable) {
      null.printStackTrace();
      return null;
    } 
  }
  
  public final ParticleOverlay addParticleOverlay(ParticleOverlayOptions paramParticleOverlayOptions) {
    try {
      return this.mapDelegate.addParticleOverlay(paramParticleOverlayOptions);
    } catch (Throwable throwable) {
      null.printStackTrace();
      return null;
    } 
  }
  
  public final GLTFOverlay addGLTFOverlay(GLTFOverlayOptions paramGLTFOverlayOptions) {
    try {
      return this.mapDelegate.addGLTFOverlay(paramGLTFOverlayOptions);
    } catch (Throwable throwable) {
      null.printStackTrace();
      return null;
    } 
  }
  
  public final AMap3DModelTileOverlay add3DModelTileOverlay(AMap3DModelTileOverlayOptions paramAMap3DModelTileOverlayOptions) {
    try {
      return this.mapDelegate.add3DModelTileOverlay(paramAMap3DModelTileOverlayOptions);
    } catch (Throwable throwable) {
      null.printStackTrace();
      return null;
    } 
  }
  
  public final er addContourLineOverlay(eq parameq) {
    try {
      return this.mapDelegate.addContourLineOverlay(parameq);
    } catch (Exception exception) {
      null.printStackTrace();
      return null;
    } 
  }
  
  public final void clear() {
    try {
      this.mapDelegate.clear();
      return;
    } catch (Throwable throwable) {
      null.printStackTrace();
      return;
    } 
  }
  
  public final void clear(boolean paramBoolean) {
    try {
      this.mapDelegate.clear(paramBoolean);
      return;
    } catch (Throwable throwable) {
      null.printStackTrace();
      return;
    } 
  }
  
  public final int getMapType() {
    try {
      return this.mapDelegate.getMapType();
    } catch (Throwable throwable) {
      null.printStackTrace();
      return 1;
    } 
  }
  
  public final void setMapType(int paramInt) {
    try {
      this.mapDelegate.setMapType(paramInt);
      return;
    } catch (Throwable throwable) {
      null.printStackTrace();
      return;
    } 
  }
  
  public final boolean isTrafficEnabled() {
    try {
      return this.mapDelegate.isTrafficEnabled();
    } catch (Throwable throwable) {
      null.printStackTrace();
      return false;
    } 
  }
  
  public final void setTrafficEnabled(boolean paramBoolean) {
    try {
      this.mapDelegate.setTrafficEnabled(paramBoolean);
      return;
    } catch (Throwable throwable) {
      null.printStackTrace();
      return;
    } 
  }
  
  public final void showMapText(boolean paramBoolean) {
    try {
      this.mapDelegate.setMapTextEnable(paramBoolean);
      return;
    } catch (Throwable throwable) {
      null.printStackTrace();
      return;
    } 
  }
  
  public final void showIndoorMap(boolean paramBoolean) {
    try {
      this.mapDelegate.setIndoorEnabled(paramBoolean);
      return;
    } catch (Throwable throwable) {
      null.printStackTrace();
      return;
    } 
  }
  
  public final void showBuildings(boolean paramBoolean) {
    try {
      this.mapDelegate.set3DBuildingEnabled(paramBoolean);
      return;
    } catch (Throwable throwable) {
      null.printStackTrace();
      return;
    } 
  }
  
  public final void setMyTrafficStyle(MyTrafficStyle paramMyTrafficStyle) {
    try {
      this.myTrafficStyle = paramMyTrafficStyle;
      return;
    } catch (Throwable throwable) {
      null.printStackTrace();
      return;
    } 
  }
  
  public final MyTrafficStyle getMyTrafficStyle() {
    return this.myTrafficStyle;
  }
  
  public final void setTrafficStyleWithTextureData(byte[] paramArrayOfbyte) {
    if (paramArrayOfbyte == null)
      return; 
    try {
      this.mapDelegate.setTrafficStyleWithTextureData(paramArrayOfbyte);
      return;
    } catch (Throwable throwable) {
      null.printStackTrace();
      return;
    } 
  }
  
  public final void setTrafficStyleWithTexture(byte[] paramArrayOfbyte, MyTrafficStyle paramMyTrafficStyle) {
    if (paramArrayOfbyte == null || paramMyTrafficStyle == null)
      return; 
    try {
      this.mapDelegate.setTrafficStyleWithTexture(paramArrayOfbyte, paramMyTrafficStyle);
      return;
    } catch (Throwable throwable) {
      null.printStackTrace();
      return;
    } 
  }
  
  public final boolean isMyLocationEnabled() {
    try {
      return this.mapDelegate.isMyLocationEnabled();
    } catch (Throwable throwable) {
      null.printStackTrace();
      return false;
    } 
  }
  
  public final void setMyLocationEnabled(boolean paramBoolean) {
    try {
      this.mapDelegate.setMyLocationEnabled(paramBoolean);
      return;
    } catch (Throwable throwable) {
      null.printStackTrace();
      return;
    } 
  }
  
  public final Location getMyLocation() {
    try {
      return this.mapDelegate.getMyLocation();
    } catch (Throwable throwable) {
      null.printStackTrace();
      return null;
    } 
  }
  
  public final void setLocationSource(LocationSource paramLocationSource) {
    try {
      this.mapDelegate.setLocationSource(paramLocationSource);
      return;
    } catch (Throwable throwable) {
      null.printStackTrace();
      return;
    } 
  }
  
  public final void setMyLocationStyle(MyLocationStyle paramMyLocationStyle) {
    try {
      this.mapDelegate.setMyLocationStyle(paramMyLocationStyle);
      return;
    } catch (Throwable throwable) {
      null.printStackTrace();
      return;
    } 
  }
  
  public final MyLocationStyle getMyLocationStyle() {
    try {
      return this.mapDelegate.getMyLocationStyle();
    } catch (Throwable throwable) {
      null.printStackTrace();
      return null;
    } 
  }
  
  public final void setMyLocationType(int paramInt) {
    try {
      this.mapDelegate.setMyLocationType(paramInt);
      return;
    } catch (Throwable throwable) {
      null.printStackTrace();
      return;
    } 
  }
  
  public final void setMyLocationRotateAngle(float paramFloat) {
    try {
      this.mapDelegate.setMyLocationRotateAngle(paramFloat);
      return;
    } catch (Throwable throwable) {
      null.printStackTrace();
      return;
    } 
  }
  
  public final UiSettings getUiSettings() {
    try {
      if (this.uiSettings == null)
        this.uiSettings = this.mapDelegate.getAMapUiSettings(); 
      return this.uiSettings;
    } catch (Throwable throwable) {
      null.printStackTrace();
      return null;
    } 
  }
  
  public final Projection getProjection() {
    try {
      if (this.projection == null)
        this.projection = this.mapDelegate.getAMapProjection(); 
      return this.projection;
    } catch (Throwable throwable) {
      null.printStackTrace();
      return null;
    } 
  }
  
  public final void setOnCameraChangeListener(OnCameraChangeListener paramOnCameraChangeListener) {
    try {
      this.mapDelegate.setOnCameraChangeListener(paramOnCameraChangeListener);
      return;
    } catch (Throwable throwable) {
      null.printStackTrace();
      return;
    } 
  }
  
  public final void setOnMapClickListener(OnMapClickListener paramOnMapClickListener) {
    try {
      this.mapDelegate.setOnMapClickListener(paramOnMapClickListener);
      return;
    } catch (Throwable throwable) {
      null.printStackTrace();
      return;
    } 
  }
  
  public final void setOnMapTouchListener(OnMapTouchListener paramOnMapTouchListener) {
    try {
      this.mapDelegate.setOnMapTouchListener(paramOnMapTouchListener);
      return;
    } catch (Throwable throwable) {
      null.printStackTrace();
      return;
    } 
  }
  
  public final void setOnPOIClickListener(OnPOIClickListener paramOnPOIClickListener) {
    try {
      this.mapDelegate.setOnPOIClickListener(paramOnPOIClickListener);
      return;
    } catch (Throwable throwable) {
      null.printStackTrace();
      return;
    } 
  }
  
  public final void setOnMyLocationChangeListener(OnMyLocationChangeListener paramOnMyLocationChangeListener) {
    try {
      this.mapDelegate.setOnMyLocationChangeListener(paramOnMyLocationChangeListener);
      return;
    } catch (Throwable throwable) {
      null.printStackTrace();
      return;
    } 
  }
  
  public final void setOnMapLongClickListener(OnMapLongClickListener paramOnMapLongClickListener) {
    try {
      this.mapDelegate.setOnMapLongClickListener(paramOnMapLongClickListener);
      return;
    } catch (Throwable throwable) {
      null.printStackTrace();
      return;
    } 
  }
  
  public final void setOnMarkerClickListener(OnMarkerClickListener paramOnMarkerClickListener) {
    try {
      this.mapDelegate.setOnMarkerClickListener(paramOnMarkerClickListener);
      return;
    } catch (Throwable throwable) {
      null.printStackTrace();
      return;
    } 
  }
  
  public final void setOnPolylineClickListener(OnPolylineClickListener paramOnPolylineClickListener) {
    try {
      this.mapDelegate.setOnPolylineClickListener(paramOnPolylineClickListener);
      return;
    } catch (Throwable throwable) {
      null.printStackTrace();
      return;
    } 
  }
  
  public final void setOnMarkerDragListener(OnMarkerDragListener paramOnMarkerDragListener) {
    try {
      this.mapDelegate.setOnMarkerDragListener(paramOnMarkerDragListener);
      return;
    } catch (Throwable throwable) {
      null.printStackTrace();
      return;
    } 
  }
  
  public final void setOnInfoWindowClickListener(OnInfoWindowClickListener paramOnInfoWindowClickListener) {
    try {
      this.mapDelegate.setOnInfoWindowClickListener(paramOnInfoWindowClickListener);
      return;
    } catch (Throwable throwable) {
      null.printStackTrace();
      return;
    } 
  }
  
  public final void setInfoWindowAdapter(InfoWindowAdapter paramInfoWindowAdapter) {
    try {
      this.mapDelegate.setInfoWindowAdapter(paramInfoWindowAdapter);
      return;
    } catch (Throwable throwable) {
      null.printStackTrace();
      return;
    } 
  }
  
  public final void setCommonInfoWindowAdapter(CommonInfoWindowAdapter paramCommonInfoWindowAdapter) {
    try {
      this.mapDelegate.setInfoWindowAdapter(paramCommonInfoWindowAdapter);
      return;
    } catch (Throwable throwable) {
      null.printStackTrace();
      return;
    } 
  }
  
  public final void setOnMapLoadedListener(OnMapLoadedListener paramOnMapLoadedListener) {
    try {
      this.mapDelegate.setOnMaploadedListener(paramOnMapLoadedListener);
      return;
    } catch (Throwable throwable) {
      null.printStackTrace();
      return;
    } 
  }
  
  public final void setOnIndoorBuildingActiveListener(OnIndoorBuildingActiveListener paramOnIndoorBuildingActiveListener) {
    try {
      this.mapDelegate.setOnIndoorBuildingActiveListener(paramOnIndoorBuildingActiveListener);
      return;
    } catch (Throwable throwable) {
      null.printStackTrace();
      return;
    } 
  }
  
  public final void setOnMultiPointClickListener(OnMultiPointClickListener paramOnMultiPointClickListener) {
    try {
      this.mapDelegate.setOnMultiPointClickListener(paramOnMultiPointClickListener);
      return;
    } catch (Throwable throwable) {
      null.printStackTrace();
      return;
    } 
  }
  
  public final void getMapPrintScreen(onMapPrintScreenListener paramonMapPrintScreenListener) {
    this.mapDelegate.getMapPrintScreen(paramonMapPrintScreenListener);
  }
  
  public final void getMapScreenShot(OnMapScreenShotListener paramOnMapScreenShotListener) {
    this.mapDelegate.getMapScreenShot(paramOnMapScreenShotListener, true);
  }
  
  public final void getMapRegionSnapshot(LatLng paramLatLng1, LatLng paramLatLng2, Size paramSize, OnMapSnapshotListener paramOnMapSnapshotListener) {
    if (this.mapDelegate instanceof m && (
      (m)this.mapDelegate)
      .getMapConfig().isTerrainEnable()) {
      paramOnMapSnapshotListener.onFinish();
      return;
    } 
    b b = new b(this, paramLatLng1, paramLatLng2, paramSize);
    a a;
    (a = new a(this, (byte)0)).a(b.c());
    a(b, paramOnMapSnapshotListener, (Runnable)new Object(this, a, paramOnMapSnapshotListener));
  }
  
  private void a(b paramb, OnMapSnapshotListener paramOnMapSnapshotListener, Runnable paramRunnable) {
    Object object = new Object(this, paramOnMapSnapshotListener, paramb, paramRunnable);
    animateCamera(paramb.a(), (CancelableCallback)new Object(this, (Runnable)object, paramRunnable));
  }
  
  public final float getScalePerPixel() {
    try {
      return this.mapDelegate.getScalePerPixel();
    } catch (Throwable throwable) {
      null.printStackTrace();
      return 0.0F;
    } 
  }
  
  public final void runOnDrawFrame() {
    this.mapDelegate.setRunLowFrame(false);
  }
  
  public final void removecache() {
    try {
      this.mapDelegate.removecache();
      return;
    } catch (Throwable throwable) {
      null.printStackTrace();
      return;
    } 
  }
  
  public final void removecache(OnCacheRemoveListener paramOnCacheRemoveListener) {
    try {
      this.mapDelegate.removecache(paramOnCacheRemoveListener);
      return;
    } catch (Throwable throwable) {
      null.printStackTrace();
      return;
    } 
  }
  
  public final void setCustomRenderer(CustomRenderer paramCustomRenderer) {
    try {
      this.mapDelegate.setCustomRenderer(paramCustomRenderer);
      return;
    } catch (Throwable throwable) {
      null.printStackTrace();
      return;
    } 
  }
  
  public final void setPointToCenter(int paramInt1, int paramInt2) {
    try {
      this.mapDelegate.setCenterToPixel(paramInt1, paramInt2);
      return;
    } catch (Throwable throwable) {
      null.printStackTrace();
      return;
    } 
  }
  
  public final void setMapTextZIndex(int paramInt) {
    try {
      this.mapDelegate.setMapTextZIndex(paramInt);
      return;
    } catch (Throwable throwable) {
      null.printStackTrace();
      return;
    } 
  }
  
  public final void setLoadOfflineData(boolean paramBoolean) {
    try {
      this.mapDelegate.setLoadOfflineData(paramBoolean);
      return;
    } catch (Throwable throwable) {
      null.printStackTrace();
      return;
    } 
  }
  
  public final int getMapTextZIndex() {
    try {
      return this.mapDelegate.getMapTextZIndex();
    } catch (Throwable throwable) {
      null.printStackTrace();
      return 0;
    } 
  }
  
  @Deprecated
  public static String getVersion() {
    return "10.0.1000";
  }
  
  public final void reloadMap() {
    this.mapDelegate.reloadMap();
  }
  
  public final void setRenderFps(int paramInt) {
    this.mapDelegate.setRenderFps(paramInt);
  }
  
  public final void setIndoorBuildingInfo(IndoorBuildingInfo paramIndoorBuildingInfo) {
    try {
      this.mapDelegate.setIndoorBuildingInfo(paramIndoorBuildingInfo);
      return;
    } catch (Throwable throwable) {
      null.printStackTrace();
      return;
    } 
  }
  
  public final void setAMapGestureListener(AMapGestureListener paramAMapGestureListener) {
    this.mapDelegate.setAMapGestureListener(paramAMapGestureListener);
  }
  
  public final float getZoomToSpanLevel(LatLng paramLatLng1, LatLng paramLatLng2) {
    return this.mapDelegate.getZoomToSpanLevel(paramLatLng1, paramLatLng2);
  }
  
  public final Pair<Float, LatLng> calculateZoomToSpanLevel(int paramInt1, int paramInt2, int paramInt3, int paramInt4, LatLng paramLatLng1, LatLng paramLatLng2) {
    return this.mapDelegate.calculateZoomToSpanLevel(paramInt1, paramInt2, paramInt3, paramInt4, paramLatLng1, paramLatLng2);
  }
  
  public final InfoWindowAnimationManager getInfoWindowAnimationManager() {
    return this.mapDelegate.getInfoWindowAnimationManager();
  }
  
  public final void setMaskLayerParams(int paramInt1, int paramInt2, int paramInt3, int paramInt4, int paramInt5, long paramLong) {
    this.mapDelegate.setMaskLayerParams(paramInt1, paramInt2, paramInt3, paramInt4, paramInt5, paramLong);
  }
  
  public final void setMaxZoomLevel(float paramFloat) {
    this.mapDelegate.setMaxZoomLevel(paramFloat);
  }
  
  public final void setMinZoomLevel(float paramFloat) {
    this.mapDelegate.setMinZoomLevel(paramFloat);
  }
  
  public final void resetMinMaxZoomPreference() {
    this.mapDelegate.resetMinMaxZoomPreference();
  }
  
  public final void setMapStatusLimits(LatLngBounds paramLatLngBounds) {
    try {
      this.mapDelegate.setMapStatusLimits(paramLatLngBounds);
      moveCamera(CameraUpdateFactory.newLatLngBounds(paramLatLngBounds, 0));
      return;
    } catch (Throwable throwable) {
      null.printStackTrace();
      return;
    } 
  }
  
  public final CrossOverlay addCrossOverlay(CrossOverlayOptions paramCrossOverlayOptions) {
    try {
      return this.mapDelegate.addCrossVector(paramCrossOverlayOptions);
    } catch (Throwable throwable) {
      null.printStackTrace();
      return null;
    } 
  }
  
  public final RouteOverlay addRouteOverlay() {
    return this.mapDelegate.addNaviRouteOverlay();
  }
  
  public final float[] getViewMatrix() {
    return this.mapDelegate.getViewMatrix();
  }
  
  public final float[] getProjectionMatrix() {
    return this.mapDelegate.getProjectionMatrix();
  }
  
  public final void setMapCustomEnable(boolean paramBoolean) {
    Log.e("amap", "该方法已无效，请到官网(lbs.amap.com)更新新版样式文件并使用setCustomMapStyleOptions");
  }
  
  public final void setCustomMapStylePath(String paramString) {
    Log.e("amap", "该方法已无效，请到官网(lbs.amap.com)更新新版样式文件并使用setCustomMapStyleOptions");
  }
  
  public final void setCustomMapStyle(CustomMapStyleOptions paramCustomMapStyleOptions) {
    this.mapDelegate.setCustomMapStyle(paramCustomMapStyleOptions);
  }
  
  public final void setCustomMapStyleID(String paramString) {
    Log.e("amap", "该方法已无效，请到官网(lbs.amap.com)更新新版样式文件并使用setCustomMapStyleOptions");
  }
  
  public final void setCustomTextureResourcePath(String paramString) {
    Log.e("amap", "该方法已无效，请到官网(lbs.amap.com)更新新版样式文件并使用setCustomMapStyleOptions");
  }
  
  public final void setRenderMode(int paramInt) {
    this.mapDelegate.setRenderMode(paramInt);
  }
  
  public final void getP20MapCenter(IPoint paramIPoint) {
    try {
      if (paramIPoint == null)
        paramIPoint = new IPoint(); 
      paramIPoint.x = this.mapDelegate.getSX();
      paramIPoint.y = this.mapDelegate.getSY();
      return;
    } catch (Throwable throwable) {
      null.printStackTrace();
      return;
    } 
  }
  
  public final String getMapContentApprovalNumber() {
    try {
      return this.mapDelegate.getMapContentApprovalNumber();
    } catch (Throwable throwable) {
      null.printStackTrace();
      return null;
    } 
  }
  
  public final String getSatelliteImageApprovalNumber() {
    try {
      return this.mapDelegate.getSatelliteImageApprovalNumber();
    } catch (Throwable throwable) {
      null.printStackTrace();
      return null;
    } 
  }
  
  public final String getTerrainApprovalNumber() {
    try {
      return this.mapDelegate.getTerrainApprovalNumber();
    } catch (Throwable throwable) {
      null.printStackTrace();
      return null;
    } 
  }
  
  public final void setMapLanguage(String paramString) {
    try {
      this.mapDelegate.setMapLanguage(paramString);
      return;
    } catch (Throwable throwable) {
      null.printStackTrace();
      return;
    } 
  }
  
  public final void setRoadArrowEnable(boolean paramBoolean) {
    try {
      this.mapDelegate.setRoadArrowEnable(paramBoolean);
      return;
    } catch (Throwable throwable) {
      null.printStackTrace();
      return;
    } 
  }
  
  public final void setNaviLabelEnable(boolean paramBoolean, int paramInt1, int paramInt2) {
    try {
      this.mapDelegate.setNaviLabelEnable(paramBoolean, paramInt1, paramInt2);
      return;
    } catch (Throwable throwable) {
      null.printStackTrace();
      return;
    } 
  }
  
  public final void setTouchPoiEnable(boolean paramBoolean) {
    try {
      this.mapDelegate.setTouchPoiEnable(paramBoolean);
      return;
    } catch (Throwable throwable) {
      null.printStackTrace();
      return;
    } 
  }
  
  public final boolean isTouchPoiEnable() {
    try {
      return this.mapDelegate.isTouchPoiEnable();
    } catch (Throwable throwable) {
      null.printStackTrace();
      return true;
    } 
  }
  
  public final long getNativeMapController() {
    try {
      return this.mapDelegate.getNativeMapController();
    } catch (Throwable throwable) {
      null.printStackTrace();
      return 0L;
    } 
  }
  
  public final int getNativeMapEngineID() {
    try {
      return this.mapDelegate.getNativeEngineID();
    } catch (Throwable throwable) {
      null.printStackTrace();
      return 0;
    } 
  }
  
  public final void addOnCameraChangeListener(OnCameraChangeListener paramOnCameraChangeListener) {
    try {
      this.mapDelegate.addOnCameraChangeListener(paramOnCameraChangeListener);
      return;
    } catch (Throwable throwable) {
      null.printStackTrace();
      return;
    } 
  }
  
  public final void addOnMapClickListener(OnMapClickListener paramOnMapClickListener) {
    try {
      this.mapDelegate.addOnMapClickListener(paramOnMapClickListener);
      return;
    } catch (Throwable throwable) {
      null.printStackTrace();
      return;
    } 
  }
  
  public final void addOnMarkerDragListener(OnMarkerDragListener paramOnMarkerDragListener) {
    try {
      this.mapDelegate.addOnMarkerDragListener(paramOnMarkerDragListener);
      return;
    } catch (Throwable throwable) {
      null.printStackTrace();
      return;
    } 
  }
  
  public final void addOnMapLoadedListener(OnMapLoadedListener paramOnMapLoadedListener) {
    try {
      this.mapDelegate.addOnMapLoadedListener(paramOnMapLoadedListener);
      return;
    } catch (Throwable throwable) {
      null.printStackTrace();
      return;
    } 
  }
  
  public final void addOnMapTouchListener(OnMapTouchListener paramOnMapTouchListener) {
    try {
      this.mapDelegate.addOnMapTouchListener(paramOnMapTouchListener);
      return;
    } catch (Throwable throwable) {
      null.printStackTrace();
      return;
    } 
  }
  
  public final void addOnMarkerClickListener(OnMarkerClickListener paramOnMarkerClickListener) {
    try {
      this.mapDelegate.addOnMarkerClickListener(paramOnMarkerClickListener);
      return;
    } catch (Throwable throwable) {
      null.printStackTrace();
      return;
    } 
  }
  
  public final void addOnPolylineClickListener(OnPolylineClickListener paramOnPolylineClickListener) {
    try {
      this.mapDelegate.addOnPolylineClickListener(paramOnPolylineClickListener);
      return;
    } catch (Throwable throwable) {
      null.printStackTrace();
      return;
    } 
  }
  
  public final void addOnPOIClickListener(OnPOIClickListener paramOnPOIClickListener) {
    try {
      this.mapDelegate.addOnPOIClickListener(paramOnPOIClickListener);
      return;
    } catch (Throwable throwable) {
      null.printStackTrace();
      return;
    } 
  }
  
  public final void addOnMapLongClickListener(OnMapLongClickListener paramOnMapLongClickListener) {
    try {
      this.mapDelegate.addOnMapLongClickListener(paramOnMapLongClickListener);
      return;
    } catch (Throwable throwable) {
      null.printStackTrace();
      return;
    } 
  }
  
  public final void addOnInfoWindowClickListener(OnInfoWindowClickListener paramOnInfoWindowClickListener) {
    try {
      this.mapDelegate.addOnInfoWindowClickListener(paramOnInfoWindowClickListener);
      return;
    } catch (Throwable throwable) {
      null.printStackTrace();
      return;
    } 
  }
  
  public final void addOnIndoorBuildingActiveListener(OnIndoorBuildingActiveListener paramOnIndoorBuildingActiveListener) {
    try {
      this.mapDelegate.addOnIndoorBuildingActiveListener(paramOnIndoorBuildingActiveListener);
      return;
    } catch (Throwable throwable) {
      null.printStackTrace();
      return;
    } 
  }
  
  public final void addOnMyLocationChangeListener(OnMyLocationChangeListener paramOnMyLocationChangeListener) {
    try {
      this.mapDelegate.addOnMyLocationChangeListener(paramOnMyLocationChangeListener);
      return;
    } catch (Throwable throwable) {
      null.printStackTrace();
      return;
    } 
  }
  
  public final void removeOnCameraChangeListener(OnCameraChangeListener paramOnCameraChangeListener) {
    try {
      this.mapDelegate.removeOnCameraChangeListener(paramOnCameraChangeListener);
      return;
    } catch (Throwable throwable) {
      null.printStackTrace();
      return;
    } 
  }
  
  public final void removeOnMapClickListener(OnMapClickListener paramOnMapClickListener) {
    try {
      this.mapDelegate.removeOnMapClickListener(paramOnMapClickListener);
      return;
    } catch (Throwable throwable) {
      null.printStackTrace();
      return;
    } 
  }
  
  public final void removeOnMarkerDragListener(OnMarkerDragListener paramOnMarkerDragListener) {
    try {
      this.mapDelegate.removeOnMarkerDragListener(paramOnMarkerDragListener);
      return;
    } catch (Throwable throwable) {
      null.printStackTrace();
      return;
    } 
  }
  
  public final void removeOnMapLoadedListener(OnMapLoadedListener paramOnMapLoadedListener) {
    try {
      this.mapDelegate.removeOnMapLoadedListener(paramOnMapLoadedListener);
      return;
    } catch (Throwable throwable) {
      null.printStackTrace();
      return;
    } 
  }
  
  public final void removeOnMapTouchListener(OnMapTouchListener paramOnMapTouchListener) {
    try {
      this.mapDelegate.removeOnMapTouchListener(paramOnMapTouchListener);
      return;
    } catch (Throwable throwable) {
      null.printStackTrace();
      return;
    } 
  }
  
  public final void removeOnMarkerClickListener(OnMarkerClickListener paramOnMarkerClickListener) {
    try {
      this.mapDelegate.removeOnMarkerClickListener(paramOnMarkerClickListener);
      return;
    } catch (Throwable throwable) {
      null.printStackTrace();
      return;
    } 
  }
  
  public final void removeOnPolylineClickListener(OnPolylineClickListener paramOnPolylineClickListener) {
    try {
      this.mapDelegate.removeOnPolylineClickListener(paramOnPolylineClickListener);
      return;
    } catch (Throwable throwable) {
      null.printStackTrace();
      return;
    } 
  }
  
  public final void removeOnPOIClickListener(OnPOIClickListener paramOnPOIClickListener) {
    try {
      this.mapDelegate.removeOnPOIClickListener(paramOnPOIClickListener);
      return;
    } catch (Throwable throwable) {
      null.printStackTrace();
      return;
    } 
  }
  
  public final void removeOnMapLongClickListener(OnMapLongClickListener paramOnMapLongClickListener) {
    try {
      this.mapDelegate.removeOnMapLongClickListener(paramOnMapLongClickListener);
      return;
    } catch (Throwable throwable) {
      null.printStackTrace();
      return;
    } 
  }
  
  public final void removeOnInfoWindowClickListener(OnInfoWindowClickListener paramOnInfoWindowClickListener) {
    try {
      this.mapDelegate.removeOnInfoWindowClickListener(paramOnInfoWindowClickListener);
      return;
    } catch (Throwable throwable) {
      null.printStackTrace();
      return;
    } 
  }
  
  public final void removeOnIndoorBuildingActiveListener(OnIndoorBuildingActiveListener paramOnIndoorBuildingActiveListener) {
    try {
      this.mapDelegate.removeOnIndoorBuildingActiveListener(paramOnIndoorBuildingActiveListener);
      return;
    } catch (Throwable throwable) {
      null.printStackTrace();
      return;
    } 
  }
  
  public final void removeOnMyLocationChangeListener(OnMyLocationChangeListener paramOnMyLocationChangeListener) {
    try {
      this.mapDelegate.removeOnMyLocationChangeListener(paramOnMyLocationChangeListener);
      return;
    } catch (Throwable throwable) {
      null.printStackTrace();
      return;
    } 
  }
  
  public final void setWorldVectorMapStyle(String paramString) {
    try {
      this.mapDelegate.setWorldVectorMapStyle(paramString);
      return;
    } catch (Throwable throwable) {
      null.printStackTrace();
      return;
    } 
  }
  
  public final String getCurrentStyle() {
    String str = "";
    try {
      if (this.mapDelegate != null)
        str = this.mapDelegate.getCurrentWorldVectorMapStyle(); 
    } catch (Throwable throwable) {}
    return str;
  }
  
  public final void accelerateNetworkInChinese(boolean paramBoolean) {
    try {
      if (this.mapDelegate != null)
        this.mapDelegate.accelerateNetworkInChinese(paramBoolean); 
      return;
    } catch (Throwable throwable) {
      return;
    } 
  }
  
  public final void setConstructingRoadEnable(boolean paramBoolean) {
    try {
      this.mapDelegate.setConstructingRoadEnable(paramBoolean);
      return;
    } catch (Throwable throwable) {
      null.printStackTrace();
      return;
    } 
  }
  
  public final void addAMapAppResourceListener(AMapAppResourceRequestListener paramAMapAppResourceRequestListener) {
    try {
      this.mapDelegate.addAMapAppResourceListener(paramAMapAppResourceRequestListener);
      return;
    } catch (Exception exception) {
      null.printStackTrace();
      return;
    } 
  }
  
  public final void removeAMapAppResourceListener(AMapAppResourceRequestListener paramAMapAppResourceRequestListener) {
    try {
      this.mapDelegate.removeAMapAppResourceListener(paramAMapAppResourceRequestListener);
      return;
    } catch (Exception exception) {
      null.printStackTrace();
      return;
    } 
  }
  
  public final int hideBuildings(List<LatLng> paramList) {
    try {
      return this.mapDelegate.hideBuildings(paramList);
    } catch (Exception exception) {
      null.printStackTrace();
      return -1;
    } 
  }
  
  public final void showHideBuildings(int paramInt) {
    try {
      this.mapDelegate.showHideBuildings(paramInt);
      return;
    } catch (Exception exception) {
      null.printStackTrace();
      return;
    } 
  }
  
  public final void addSignleClickInterceptorListener(SignleClickInterceptorListener paramSignleClickInterceptorListener) {
    try {
      this.mapDelegate.addSignleClickInterceptorListener(paramSignleClickInterceptorListener);
      return;
    } catch (Exception exception) {
      null.printStackTrace();
      return;
    } 
  }
  
  public final void removeSignleClickInterceptorListener(SignleClickInterceptorListener paramSignleClickInterceptorListener) {
    try {
      this.mapDelegate.removeSignleClickInterceptorListener(paramSignleClickInterceptorListener);
      return;
    } catch (Exception exception) {
      null.printStackTrace();
      return;
    } 
  }
  
  public final void addPoiFilter(PoiFilter paramPoiFilter) {
    try {
      this.mapDelegate.addPoiFilter(paramPoiFilter);
      return;
    } catch (Exception exception) {
      null.printStackTrace();
      return;
    } 
  }
  
  public final void removePoiFilter(String paramString) {
    try {
      this.mapDelegate.removePoiFilter(paramString);
      return;
    } catch (Exception exception) {
      null.printStackTrace();
      return;
    } 
  }
  
  public final void clearPoiFilter() {
    try {
      this.mapDelegate.clearPoiFilter();
      return;
    } catch (Exception exception) {
      null.printStackTrace();
      return;
    } 
  }
  
  public final LatLngBounds getOverlayBoundRect(String paramString) {
    try {
      return this.mapDelegate.getOverlayBoundRect(paramString);
    } catch (Exception exception) {
      null.printStackTrace();
      return null;
    } 
  }
  
  public final void setOptRecordState(boolean paramBoolean) {
    try {
      this.mapDelegate.setMapOptRecordState(paramBoolean);
      return;
    } catch (Exception exception) {
      null.printStackTrace();
      return;
    } 
  }
  
  public final void setCustomScreenDensity(float paramFloat) {
    try {
      this.mapDelegate.setCustomScreenDensity(paramFloat);
      return;
    } catch (Exception exception) {
      null.printStackTrace();
      return;
    } 
  }
}
